CREATE DATABASE  IF NOT EXISTS `mysqlscholkeworkorganizerlovevoldatabasedb` /*!40100 DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci */ /*!80016 DEFAULT ENCRYPTION='N' */;
USE `mysqlscholkeworkorganizerlovevoldatabasedb`;
-- MySQL dump 10.13  Distrib 8.0.33, for Win64 (x86_64)
--
-- Host: localhost    Database: mysqlscholkeworkorganizerlovevoldatabasedb
-- ------------------------------------------------------
-- Server version	8.0.33

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `documents`
--

DROP TABLE IF EXISTS `documents`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `documents` (
  `ID` bigint NOT NULL AUTO_INCREMENT,
  `CreatedDate` datetime DEFAULT NULL,
  `NotificationShowLevelType` int NOT NULL,
  `IsVisibleForPublic` tinyint(1) NOT NULL,
  `LastUpdatedDate` datetime DEFAULT NULL,
  `Name` longtext,
  `Index` longtext,
  `Level` bigint NOT NULL,
  `Ordinal` bigint NOT NULL,
  `CountOfClickOpenDocument` bigint NOT NULL,
  `Description` longtext,
  `Tags` longtext,
  `Version` longtext,
  `IsEnabled` tinyint(1) NOT NULL,
  `IsVirtual` tinyint(1) NOT NULL,
  `IsArchived` tinyint(1) NOT NULL,
  `AllowComments` tinyint(1) NOT NULL,
  `Password` longtext,
  `LastUpdatedById` bigint DEFAULT NULL,
  `FontColor` int NOT NULL,
  `FontIsBold` tinyint(1) NOT NULL,
  `NumberCommonKey` int DEFAULT NULL,
  `OpinionPollSettingsJSON` longtext,
  `CalenderNotesSettingsJSON` longtext,
  `ResponsibleId` bigint DEFAULT NULL,
  `BinderId` bigint DEFAULT NULL,
  `ParentDocumentId` bigint DEFAULT NULL,
  `MetaData` longtext,
  `CustomMetaData` longtext,
  `GUID` char(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `DataTimeValue1` datetime DEFAULT NULL,
  `DataTimeValue2` datetime DEFAULT NULL,
  `DataTimeValue3` datetime DEFAULT NULL,
  `StringValue1` longtext,
  `StringValue2` longtext,
  `StringValue3` longtext,
  `DoubleValue1` double NOT NULL,
  `DoubleValue2` double NOT NULL,
  `DoubleValue3` double NOT NULL,
  `BoolValue1` tinyint(1) NOT NULL,
  `BoolValue2` tinyint(1) NOT NULL,
  `BoolValue3` tinyint(1) NOT NULL,
  `CreatedBy_ID` bigint DEFAULT NULL,
  `LockedBy_ID` bigint DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `IX_LastUpdatedById` (`LastUpdatedById`),
  KEY `IX_ResponsibleId` (`ResponsibleId`),
  KEY `IX_BinderId` (`BinderId`),
  KEY `IX_ParentDocumentId` (`ParentDocumentId`),
  KEY `IX_CreatedBy_ID` (`CreatedBy_ID`),
  KEY `IX_LockedBy_ID` (`LockedBy_ID`),
  CONSTRAINT `FK_Documents_Binders_BinderId` FOREIGN KEY (`BinderId`) REFERENCES `binders` (`ID`),
  CONSTRAINT `FK_Documents_Documents_ParentDocumentId` FOREIGN KEY (`ParentDocumentId`) REFERENCES `documents` (`ID`),
  CONSTRAINT `FK_Documents_Users_CreatedBy_ID` FOREIGN KEY (`CreatedBy_ID`) REFERENCES `users` (`ID`),
  CONSTRAINT `FK_Documents_Users_LastUpdatedById` FOREIGN KEY (`LastUpdatedById`) REFERENCES `users` (`ID`),
  CONSTRAINT `FK_Documents_Users_LockedBy_ID` FOREIGN KEY (`LockedBy_ID`) REFERENCES `users` (`ID`),
  CONSTRAINT `FK_Documents_Users_ResponsibleId` FOREIGN KEY (`ResponsibleId`) REFERENCES `users` (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `documents`
--

LOCK TABLES `documents` WRITE;
/*!40000 ALTER TABLE `documents` DISABLE KEYS */;
INSERT INTO `documents` VALUES (1,'2023-07-09 19:27:28',0,0,'2023-07-09 19:27:28','*',NULL,0,0,0,NULL,NULL,NULL,1,0,0,0,NULL,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'00000000-0000-0000-0000-000000000000',NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0,0,NULL,NULL),(2,'2023-07-09 19:27:36',0,0,'2023-07-09 19:27:36','*',NULL,0,0,0,NULL,NULL,NULL,1,0,0,0,NULL,NULL,0,0,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,'00000000-0000-0000-0000-000000000000',NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0,0,NULL,NULL),(3,'2023-07-09 19:27:43',2,0,'2023-07-09 19:27:43','ghj',NULL,0,-1,0,'','','',0,0,0,0,'',7,0,1,NULL,NULL,NULL,7,2,2,NULL,NULL,'00000000-0000-0000-0000-000000000000',NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0,0,7,NULL),(4,'2023-07-09 19:27:51',0,0,'2023-07-09 19:27:51','*',NULL,0,0,0,NULL,NULL,NULL,1,0,0,0,NULL,NULL,0,0,NULL,NULL,NULL,NULL,3,NULL,NULL,NULL,'00000000-0000-0000-0000-000000000000',NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0,0,NULL,NULL),(5,'2023-07-09 19:27:59',2,0,'2023-07-09 19:27:59','ghjhgj',NULL,0,-1,0,'','','',0,0,0,0,'',7,0,1,NULL,NULL,NULL,7,3,4,NULL,NULL,'00000000-0000-0000-0000-000000000000',NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0,0,7,NULL);
/*!40000 ALTER TABLE `documents` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2023-07-10 10:40:05
