CREATE DATABASE  IF NOT EXISTS `mysqlscholkeworkorganizerlovevoldatabasedb` /*!40100 DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci */ /*!80016 DEFAULT ENCRYPTION='N' */;
USE `mysqlscholkeworkorganizerlovevoldatabasedb`;
-- MySQL dump 10.13  Distrib 8.0.33, for Win64 (x86_64)
--
-- Host: localhost    Database: mysqlscholkeworkorganizerlovevoldatabasedb
-- ------------------------------------------------------
-- Server version	8.0.33

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `taasks`
--

DROP TABLE IF EXISTS `taasks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `taasks` (
  `ID` bigint NOT NULL AUTO_INCREMENT,
  `MainType` int NOT NULL,
  `StructureType` int NOT NULL,
  `TaskType` int NOT NULL,
  `TaskIsPlanned` tinyint(1) NOT NULL,
  `StateType` int NOT NULL,
  `Priority` int NOT NULL,
  `FontColor` int NOT NULL,
  `TestIsRequired` tinyint(1) NOT NULL,
  `TestWasSuccesfull` tinyint(1) DEFAULT NULL,
  `WillBeActiveSince` datetime DEFAULT NULL,
  `CreatedDate` datetime DEFAULT NULL,
  `LastUpdatedDate` datetime DEFAULT NULL,
  `ClosedDate` datetime DEFAULT NULL,
  `ActivatedDate` datetime DEFAULT NULL,
  `FinishedDate` datetime DEFAULT NULL,
  `Level` bigint NOT NULL,
  `Ordinal` bigint NOT NULL,
  `CountOfSprintsNeededToResolve` int NOT NULL,
  `PriorityOrdinalPLanning` int NOT NULL,
  `EffortType` int NOT NULL,
  `Effort` bigint NOT NULL,
  `Name` longtext,
  `Index` longtext,
  `Description` longtext,
  `Solution` longtext,
  `Tags` longtext,
  `IsActive` tinyint(1) NOT NULL,
  `OnlyInternUserCanSee` tinyint(1) NOT NULL,
  `OnlyProjectMembersCanSee` tinyint(1) NOT NULL,
  `SupportTaskComesFromoSupportDesk` tinyint(1) NOT NULL,
  `SupportTaskIsVisibleForSupportDesk` tinyint(1) NOT NULL,
  `TaskComesFromEmail` tinyint(1) NOT NULL,
  `OpinionPollSettingsJSON` longtext,
  `CalenderNotesSettingsJSON` longtext,
  `TicketIsFromEmail` tinyint(1) NOT NULL,
  `TicketFromEmail` longtext,
  `ProjectId` bigint DEFAULT NULL,
  `ParentTaskId` bigint DEFAULT NULL,
  `MetaData` longtext,
  `CustomMetaData` longtext,
  `GUID` char(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `DataTimeValue1` datetime DEFAULT NULL,
  `DataTimeValue2` datetime DEFAULT NULL,
  `DataTimeValue3` datetime DEFAULT NULL,
  `StringValue1` longtext,
  `StringValue2` longtext,
  `StringValue3` longtext,
  `DoubleValue1` double NOT NULL,
  `DoubleValue2` double NOT NULL,
  `DoubleValue3` double NOT NULL,
  `BoolValue1` tinyint(1) NOT NULL,
  `BoolValue2` tinyint(1) NOT NULL,
  `BoolValue3` tinyint(1) NOT NULL,
  `Assignee_ID` bigint DEFAULT NULL,
  `CreatedBy_ID` bigint DEFAULT NULL,
  `LastUpdatedBy_ID` bigint DEFAULT NULL,
  `Responsible_ID` bigint DEFAULT NULL,
  `SupportLabel_ID` bigint DEFAULT NULL,
  `TestedBy_ID` bigint DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `IX_ProjectId` (`ProjectId`),
  KEY `IX_ParentTaskId` (`ParentTaskId`),
  KEY `IX_Assignee_ID` (`Assignee_ID`),
  KEY `IX_CreatedBy_ID` (`CreatedBy_ID`),
  KEY `IX_LastUpdatedBy_ID` (`LastUpdatedBy_ID`),
  KEY `IX_Responsible_ID` (`Responsible_ID`),
  KEY `IX_SupportLabel_ID` (`SupportLabel_ID`),
  KEY `IX_TestedBy_ID` (`TestedBy_ID`),
  CONSTRAINT `FK_Taasks_Projects_ProjectId` FOREIGN KEY (`ProjectId`) REFERENCES `projects` (`ID`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_Taasks_SupportLabel_SupportLabel_ID` FOREIGN KEY (`SupportLabel_ID`) REFERENCES `supportlabel` (`ID`),
  CONSTRAINT `FK_Taasks_Taasks_ParentTaskId` FOREIGN KEY (`ParentTaskId`) REFERENCES `taasks` (`ID`),
  CONSTRAINT `FK_Taasks_Users_Assignee_ID` FOREIGN KEY (`Assignee_ID`) REFERENCES `users` (`ID`),
  CONSTRAINT `FK_Taasks_Users_CreatedBy_ID` FOREIGN KEY (`CreatedBy_ID`) REFERENCES `users` (`ID`),
  CONSTRAINT `FK_Taasks_Users_LastUpdatedBy_ID` FOREIGN KEY (`LastUpdatedBy_ID`) REFERENCES `users` (`ID`),
  CONSTRAINT `FK_Taasks_Users_Responsible_ID` FOREIGN KEY (`Responsible_ID`) REFERENCES `users` (`ID`),
  CONSTRAINT `FK_Taasks_Users_TestedBy_ID` FOREIGN KEY (`TestedBy_ID`) REFERENCES `users` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taasks`
--

LOCK TABLES `taasks` WRITE;
/*!40000 ALTER TABLE `taasks` DISABLE KEYS */;
/*!40000 ALTER TABLE `taasks` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2023-07-10 10:40:08
