CREATE DATABASE  IF NOT EXISTS `mysqlscholkeworkorganizerlovevoldatabasedb` /*!40100 DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci */ /*!80016 DEFAULT ENCRYPTION='N' */;
USE `mysqlscholkeworkorganizerlovevoldatabasedb`;
-- MySQL dump 10.13  Distrib 8.0.33, for Win64 (x86_64)
--
-- Host: localhost    Database: mysqlscholkeworkorganizerlovevoldatabasedb
-- ------------------------------------------------------
-- Server version	8.0.33

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `users` (
  `ID` bigint NOT NULL AUTO_INCREMENT,
  `Login` longtext,
  `PersonalNumber` longtext,
  `FirstName` longtext,
  `LastName` longtext,
  `UserNumber` longtext,
  `CollectiveAgreement` longtext,
  `Email` longtext,
  `UserMetadataXmlJson` longtext,
  `PhoneNumberOffice` longtext,
  `PhoneNumberMobile` longtext,
  `PathToImage` longtext,
  `PathToAvatar` longtext,
  `Room` longtext,
  `RoleInTeam` longtext,
  `Description` longtext,
  `Represent` longtext,
  `Address` longtext,
  `ScienceTitle` longtext,
  `BirthadayDate` datetime NOT NULL,
  `InformaAboutMyBirthday` tinyint(1) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `Password` longtext,
  `Gender` int NOT NULL,
  `Role` int NOT NULL,
  `UserSettings` longtext,
  `IsFirstAid` tinyint(1) NOT NULL,
  `IsFireSecurity` tinyint(1) NOT NULL,
  `IsOutsideCompany` tinyint(1) NOT NULL,
  `IsLawResponsible` tinyint(1) NOT NULL,
  `IsDataSecurityResponsible` tinyint(1) NOT NULL,
  `IsWorkSecurityResponsible` tinyint(1) NOT NULL,
  `IsManualRepairResponsible` tinyint(1) NOT NULL,
  `IsITfirstContact` tinyint(1) NOT NULL,
  `IsBookkeepingResponsible` tinyint(1) NOT NULL,
  `IsSecretariatResponsible` tinyint(1) NOT NULL,
  `IsSicknessResponsible` tinyint(1) NOT NULL,
  `IsInactive` tinyint(1) NOT NULL,
  `VacationDayCount` float NOT NULL,
  `IsExternalEmployee` tinyint(1) NOT NULL,
  `VacationDaysCountInLastYear` double NOT NULL,
  `VacationDaysCountInCurrentYear` double NOT NULL,
  `CountOfSicknessWithoutAcknowledgment` double NOT NULL,
  `EmailAutoCompleteListString` longtext,
  `CalendarNoteListString` longtext,
  `EmailAutoCompleteListStringGuests` longtext,
  `EmailAutoCompleteListStringLocalization` longtext,
  `MetaData` longtext,
  `CustomMetaData` longtext,
  `GUID` char(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `DataTimeValue1` datetime DEFAULT NULL,
  `DataTimeValue2` datetime DEFAULT NULL,
  `DataTimeValue3` datetime DEFAULT NULL,
  `StringValue1` longtext,
  `StringValue2` longtext,
  `StringValue3` longtext,
  `DoubleValue1` double NOT NULL,
  `DoubleValue2` double NOT NULL,
  `DoubleValue3` double NOT NULL,
  `BoolValue1` tinyint(1) NOT NULL,
  `BoolValue2` tinyint(1) NOT NULL,
  `BoolValue3` tinyint(1) NOT NULL,
  `PrimaryTeam_ID` bigint DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `IX_PrimaryTeam_ID` (`PrimaryTeam_ID`),
  CONSTRAINT `FK_Users_Teams_PrimaryTeam_ID` FOREIGN KEY (`PrimaryTeam_ID`) REFERENCES `teams` (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES (1,'admin',NULL,'admin','admin',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-09 19:25:20',0,'2023-07-09 19:25:20','hPTvWE1wnqc6iy4Y09Jcmw==',3,3,'<?xml version=\"1.0\" encoding=\"utf-8\"?>\r\n<q1:UserSettings xmlns:q1=\"http://www.cpandl.com\">\r\n  <q1:Languages />\r\n  <q1:Country d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:FavoriteColor>BlueMotion</q1:FavoriteColor>\r\n  <q1:BinderCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BinderDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:EmailArchivPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:EmailCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:EmailDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:CalendarCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:CalendarDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BrowserSearchWebsite d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:UserChatLinkOne d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:UserChatLinkTwo d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BrowserHomeWebsite d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BrowserTranslateWebsite d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BrowserLastWebsite d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:UserChatEmoji d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:UserChatBackgrounColorType>White</q1:UserChatBackgrounColorType>\r\n  <q1:ProjectCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ProjectDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ApplicationCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ApplicationDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ChatCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ChatDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ApplicationEyeSaverIsOn>false</q1:ApplicationEyeSaverIsOn>\r\n  <q1:ApplicationAutostartIsOn>false</q1:ApplicationAutostartIsOn>\r\n  <q1:ApplicationEyeSaverDealInMinutes>0</q1:ApplicationEyeSaverDealInMinutes>\r\n  <q1:IsButtonEmailBCCActive>false</q1:IsButtonEmailBCCActive>\r\n  <q1:IsButtonMeetingLocationActive>false</q1:IsButtonMeetingLocationActive>\r\n  <q1:IsEmailAttachmentAreaActive>false</q1:IsEmailAttachmentAreaActive>\r\n  <q1:IsMeetingAttachmentAreaActive>false</q1:IsMeetingAttachmentAreaActive>\r\n  <q1:IsButtonEmailCCActive>false</q1:IsButtonEmailCCActive>\r\n  <q1:IsButtonMeetingGastsActive>false</q1:IsButtonMeetingGastsActive>\r\n  <q1:LastStartHourShiftInCalendar>0</q1:LastStartHourShiftInCalendar>\r\n  <q1:IsMeetingDecisionTypeFilterHistory>false</q1:IsMeetingDecisionTypeFilterHistory>\r\n  <q1:IsMeetingDecisionTypeFilterDeclined>false</q1:IsMeetingDecisionTypeFilterDeclined>\r\n  <q1:ScriptNameWithScriptValueElements />\r\n  <q1:UserLanguage>en-US</q1:UserLanguage>\r\n  <q1:CurrentUnit>Ampere</q1:CurrentUnit>\r\n  <q1:FlowUnit>Sccm</q1:FlowUnit>\r\n  <q1:PowerUnit>Watt</q1:PowerUnit>\r\n  <q1:PressureUnit>Pascal</q1:PressureUnit>\r\n  <q1:TemperatureUnit>DegreeCelsius</q1:TemperatureUnit>\r\n  <q1:TimeUnit>Seconds</q1:TimeUnit>\r\n  <q1:VoltageUnit>Volt</q1:VoltageUnit>\r\n  <q1:UserSkinType d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ProjectLastSelectedProjectID>0</q1:ProjectLastSelectedProjectID>\r\n  <q1:BinderLastSelectedBinderID>0</q1:BinderLastSelectedBinderID>\r\n  <q1:LastSelcetedDatabasePathID>0</q1:LastSelcetedDatabasePathID>\r\n  <q1:IsHiderOrShowBinderEnabled>false</q1:IsHiderOrShowBinderEnabled>\r\n  <q1:SelectLastActiveUserEmailAccountID>0</q1:SelectLastActiveUserEmailAccountID>\r\n  <q1:WorkspaceFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:CommanderSelectedPathsList />\r\n  <q1:CommanderSelectedPathsListString>[]</q1:CommanderSelectedPathsListString>\r\n  <q1:LastSelectedBrowserWebsitesListString>null</q1:LastSelectedBrowserWebsitesListString>\r\n  <q1:LastSelectedBrowserWebsitesRssFeedListString>null</q1:LastSelectedBrowserWebsitesRssFeedListString>\r\n  <q1:CommanderRightSelectedPathsList />\r\n  <q1:CommanderRightSelectedPathsListString>[]</q1:CommanderRightSelectedPathsListString>\r\n  <q1:PinnedApplicationsString>null</q1:PinnedApplicationsString>\r\n  <q1:PinnedBrowserWebsiteString>null</q1:PinnedBrowserWebsiteString>\r\n  <q1:PinnedAddedToFavoritesChatUsersString>null</q1:PinnedAddedToFavoritesChatUsersString>\r\n  <q1:EmailFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:MenuAppsSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:FeedNewspaperSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:EmailFilterIncomingRulesSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:CalendarFilterSelectedPersonsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:SupportFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:MyWorkspaceFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:MyPlanningFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n</q1:UserSettings>',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'[]','[]','null','null',NULL,NULL,'00000000-0000-0000-0000-000000000000',NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0,0,NULL),(2,'admin',NULL,'admin','admin',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-09 19:25:20',0,'2023-07-09 19:25:20','hPTvWE1wnqc6iy4Y09Jcmw==',3,3,'<?xml version=\"1.0\" encoding=\"utf-8\"?>\r\n<q1:UserSettings xmlns:q1=\"http://www.cpandl.com\">\r\n  <q1:Languages />\r\n  <q1:Country d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:FavoriteColor>BlueMotion</q1:FavoriteColor>\r\n  <q1:BinderCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BinderDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:EmailArchivPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:EmailCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:EmailDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:CalendarCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:CalendarDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BrowserSearchWebsite d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:UserChatLinkOne d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:UserChatLinkTwo d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BrowserHomeWebsite d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BrowserTranslateWebsite d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BrowserLastWebsite d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:UserChatEmoji d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:UserChatBackgrounColorType>White</q1:UserChatBackgrounColorType>\r\n  <q1:ProjectCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ProjectDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ApplicationCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ApplicationDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ChatCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ChatDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ApplicationEyeSaverIsOn>false</q1:ApplicationEyeSaverIsOn>\r\n  <q1:ApplicationAutostartIsOn>false</q1:ApplicationAutostartIsOn>\r\n  <q1:ApplicationEyeSaverDealInMinutes>0</q1:ApplicationEyeSaverDealInMinutes>\r\n  <q1:IsButtonEmailBCCActive>false</q1:IsButtonEmailBCCActive>\r\n  <q1:IsButtonMeetingLocationActive>false</q1:IsButtonMeetingLocationActive>\r\n  <q1:IsEmailAttachmentAreaActive>false</q1:IsEmailAttachmentAreaActive>\r\n  <q1:IsMeetingAttachmentAreaActive>false</q1:IsMeetingAttachmentAreaActive>\r\n  <q1:IsButtonEmailCCActive>false</q1:IsButtonEmailCCActive>\r\n  <q1:IsButtonMeetingGastsActive>false</q1:IsButtonMeetingGastsActive>\r\n  <q1:LastStartHourShiftInCalendar>0</q1:LastStartHourShiftInCalendar>\r\n  <q1:IsMeetingDecisionTypeFilterHistory>false</q1:IsMeetingDecisionTypeFilterHistory>\r\n  <q1:IsMeetingDecisionTypeFilterDeclined>false</q1:IsMeetingDecisionTypeFilterDeclined>\r\n  <q1:ScriptNameWithScriptValueElements />\r\n  <q1:UserLanguage>en-US</q1:UserLanguage>\r\n  <q1:CurrentUnit>Ampere</q1:CurrentUnit>\r\n  <q1:FlowUnit>Sccm</q1:FlowUnit>\r\n  <q1:PowerUnit>Watt</q1:PowerUnit>\r\n  <q1:PressureUnit>Pascal</q1:PressureUnit>\r\n  <q1:TemperatureUnit>DegreeCelsius</q1:TemperatureUnit>\r\n  <q1:TimeUnit>Seconds</q1:TimeUnit>\r\n  <q1:VoltageUnit>Volt</q1:VoltageUnit>\r\n  <q1:UserSkinType d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ProjectLastSelectedProjectID>0</q1:ProjectLastSelectedProjectID>\r\n  <q1:BinderLastSelectedBinderID>0</q1:BinderLastSelectedBinderID>\r\n  <q1:LastSelcetedDatabasePathID>0</q1:LastSelcetedDatabasePathID>\r\n  <q1:IsHiderOrShowBinderEnabled>false</q1:IsHiderOrShowBinderEnabled>\r\n  <q1:SelectLastActiveUserEmailAccountID>0</q1:SelectLastActiveUserEmailAccountID>\r\n  <q1:WorkspaceFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:CommanderSelectedPathsList />\r\n  <q1:CommanderSelectedPathsListString>[]</q1:CommanderSelectedPathsListString>\r\n  <q1:LastSelectedBrowserWebsitesListString>null</q1:LastSelectedBrowserWebsitesListString>\r\n  <q1:LastSelectedBrowserWebsitesRssFeedListString>null</q1:LastSelectedBrowserWebsitesRssFeedListString>\r\n  <q1:CommanderRightSelectedPathsList />\r\n  <q1:CommanderRightSelectedPathsListString>[]</q1:CommanderRightSelectedPathsListString>\r\n  <q1:PinnedApplicationsString>null</q1:PinnedApplicationsString>\r\n  <q1:PinnedBrowserWebsiteString>null</q1:PinnedBrowserWebsiteString>\r\n  <q1:PinnedAddedToFavoritesChatUsersString>null</q1:PinnedAddedToFavoritesChatUsersString>\r\n  <q1:EmailFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:MenuAppsSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:FeedNewspaperSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:EmailFilterIncomingRulesSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:CalendarFilterSelectedPersonsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:SupportFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:MyWorkspaceFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:MyPlanningFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n</q1:UserSettings>',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'[]','[]','null','null',NULL,NULL,'00000000-0000-0000-0000-000000000000',NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0,0,NULL),(3,'administrator',NULL,'admin','admin',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-09 19:25:20',0,'2023-07-09 19:25:20','Lq6nnvnO+WtBAXlMrZkeJA==',3,3,'<?xml version=\"1.0\" encoding=\"utf-8\"?>\r\n<q1:UserSettings xmlns:q1=\"http://www.cpandl.com\">\r\n  <q1:Languages />\r\n  <q1:Country d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:FavoriteColor>BlueMotion</q1:FavoriteColor>\r\n  <q1:BinderCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BinderDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:EmailArchivPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:EmailCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:EmailDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:CalendarCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:CalendarDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BrowserSearchWebsite d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:UserChatLinkOne d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:UserChatLinkTwo d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BrowserHomeWebsite d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BrowserTranslateWebsite d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BrowserLastWebsite d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:UserChatEmoji d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:UserChatBackgrounColorType>White</q1:UserChatBackgrounColorType>\r\n  <q1:ProjectCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ProjectDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ApplicationCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ApplicationDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ChatCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ChatDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ApplicationEyeSaverIsOn>false</q1:ApplicationEyeSaverIsOn>\r\n  <q1:ApplicationAutostartIsOn>false</q1:ApplicationAutostartIsOn>\r\n  <q1:ApplicationEyeSaverDealInMinutes>0</q1:ApplicationEyeSaverDealInMinutes>\r\n  <q1:IsButtonEmailBCCActive>false</q1:IsButtonEmailBCCActive>\r\n  <q1:IsButtonMeetingLocationActive>false</q1:IsButtonMeetingLocationActive>\r\n  <q1:IsEmailAttachmentAreaActive>false</q1:IsEmailAttachmentAreaActive>\r\n  <q1:IsMeetingAttachmentAreaActive>false</q1:IsMeetingAttachmentAreaActive>\r\n  <q1:IsButtonEmailCCActive>false</q1:IsButtonEmailCCActive>\r\n  <q1:IsButtonMeetingGastsActive>false</q1:IsButtonMeetingGastsActive>\r\n  <q1:LastStartHourShiftInCalendar>0</q1:LastStartHourShiftInCalendar>\r\n  <q1:IsMeetingDecisionTypeFilterHistory>false</q1:IsMeetingDecisionTypeFilterHistory>\r\n  <q1:IsMeetingDecisionTypeFilterDeclined>false</q1:IsMeetingDecisionTypeFilterDeclined>\r\n  <q1:ScriptNameWithScriptValueElements />\r\n  <q1:UserLanguage>en-US</q1:UserLanguage>\r\n  <q1:CurrentUnit>Ampere</q1:CurrentUnit>\r\n  <q1:FlowUnit>Sccm</q1:FlowUnit>\r\n  <q1:PowerUnit>Watt</q1:PowerUnit>\r\n  <q1:PressureUnit>Pascal</q1:PressureUnit>\r\n  <q1:TemperatureUnit>DegreeCelsius</q1:TemperatureUnit>\r\n  <q1:TimeUnit>Seconds</q1:TimeUnit>\r\n  <q1:VoltageUnit>Volt</q1:VoltageUnit>\r\n  <q1:UserSkinType d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ProjectLastSelectedProjectID>0</q1:ProjectLastSelectedProjectID>\r\n  <q1:BinderLastSelectedBinderID>0</q1:BinderLastSelectedBinderID>\r\n  <q1:LastSelcetedDatabasePathID>0</q1:LastSelcetedDatabasePathID>\r\n  <q1:IsHiderOrShowBinderEnabled>false</q1:IsHiderOrShowBinderEnabled>\r\n  <q1:SelectLastActiveUserEmailAccountID>0</q1:SelectLastActiveUserEmailAccountID>\r\n  <q1:WorkspaceFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:CommanderSelectedPathsList />\r\n  <q1:CommanderSelectedPathsListString>[]</q1:CommanderSelectedPathsListString>\r\n  <q1:LastSelectedBrowserWebsitesListString>null</q1:LastSelectedBrowserWebsitesListString>\r\n  <q1:LastSelectedBrowserWebsitesRssFeedListString>null</q1:LastSelectedBrowserWebsitesRssFeedListString>\r\n  <q1:CommanderRightSelectedPathsList />\r\n  <q1:CommanderRightSelectedPathsListString>[]</q1:CommanderRightSelectedPathsListString>\r\n  <q1:PinnedApplicationsString>null</q1:PinnedApplicationsString>\r\n  <q1:PinnedBrowserWebsiteString>null</q1:PinnedBrowserWebsiteString>\r\n  <q1:PinnedAddedToFavoritesChatUsersString>null</q1:PinnedAddedToFavoritesChatUsersString>\r\n  <q1:EmailFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:MenuAppsSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:FeedNewspaperSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:EmailFilterIncomingRulesSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:CalendarFilterSelectedPersonsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:SupportFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:MyWorkspaceFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:MyPlanningFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n</q1:UserSettings>',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'[]','[]','null','null',NULL,NULL,'00000000-0000-0000-0000-000000000000',NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0,0,NULL),(4,'operator',NULL,'operator','operator',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-09 19:25:20',0,'2023-07-09 19:25:20','MvksUVLpIWf6ss+sLv39kQ==',3,0,'<?xml version=\"1.0\" encoding=\"utf-8\"?>\r\n<q1:UserSettings xmlns:q1=\"http://www.cpandl.com\">\r\n  <q1:Languages />\r\n  <q1:Country d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:FavoriteColor>BlueMotion</q1:FavoriteColor>\r\n  <q1:BinderCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BinderDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:EmailArchivPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:EmailCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:EmailDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:CalendarCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:CalendarDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BrowserSearchWebsite d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:UserChatLinkOne d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:UserChatLinkTwo d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BrowserHomeWebsite d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BrowserTranslateWebsite d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BrowserLastWebsite d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:UserChatEmoji d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:UserChatBackgrounColorType>White</q1:UserChatBackgrounColorType>\r\n  <q1:ProjectCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ProjectDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ApplicationCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ApplicationDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ChatCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ChatDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ApplicationEyeSaverIsOn>false</q1:ApplicationEyeSaverIsOn>\r\n  <q1:ApplicationAutostartIsOn>false</q1:ApplicationAutostartIsOn>\r\n  <q1:ApplicationEyeSaverDealInMinutes>0</q1:ApplicationEyeSaverDealInMinutes>\r\n  <q1:IsButtonEmailBCCActive>false</q1:IsButtonEmailBCCActive>\r\n  <q1:IsButtonMeetingLocationActive>false</q1:IsButtonMeetingLocationActive>\r\n  <q1:IsEmailAttachmentAreaActive>false</q1:IsEmailAttachmentAreaActive>\r\n  <q1:IsMeetingAttachmentAreaActive>false</q1:IsMeetingAttachmentAreaActive>\r\n  <q1:IsButtonEmailCCActive>false</q1:IsButtonEmailCCActive>\r\n  <q1:IsButtonMeetingGastsActive>false</q1:IsButtonMeetingGastsActive>\r\n  <q1:LastStartHourShiftInCalendar>0</q1:LastStartHourShiftInCalendar>\r\n  <q1:IsMeetingDecisionTypeFilterHistory>false</q1:IsMeetingDecisionTypeFilterHistory>\r\n  <q1:IsMeetingDecisionTypeFilterDeclined>false</q1:IsMeetingDecisionTypeFilterDeclined>\r\n  <q1:ScriptNameWithScriptValueElements />\r\n  <q1:UserLanguage>en-US</q1:UserLanguage>\r\n  <q1:CurrentUnit>Ampere</q1:CurrentUnit>\r\n  <q1:FlowUnit>Sccm</q1:FlowUnit>\r\n  <q1:PowerUnit>Watt</q1:PowerUnit>\r\n  <q1:PressureUnit>Pascal</q1:PressureUnit>\r\n  <q1:TemperatureUnit>DegreeCelsius</q1:TemperatureUnit>\r\n  <q1:TimeUnit>Seconds</q1:TimeUnit>\r\n  <q1:VoltageUnit>Volt</q1:VoltageUnit>\r\n  <q1:UserSkinType d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ProjectLastSelectedProjectID>0</q1:ProjectLastSelectedProjectID>\r\n  <q1:BinderLastSelectedBinderID>0</q1:BinderLastSelectedBinderID>\r\n  <q1:LastSelcetedDatabasePathID>0</q1:LastSelcetedDatabasePathID>\r\n  <q1:IsHiderOrShowBinderEnabled>false</q1:IsHiderOrShowBinderEnabled>\r\n  <q1:SelectLastActiveUserEmailAccountID>0</q1:SelectLastActiveUserEmailAccountID>\r\n  <q1:WorkspaceFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:CommanderSelectedPathsList />\r\n  <q1:CommanderSelectedPathsListString>[]</q1:CommanderSelectedPathsListString>\r\n  <q1:LastSelectedBrowserWebsitesListString>null</q1:LastSelectedBrowserWebsitesListString>\r\n  <q1:LastSelectedBrowserWebsitesRssFeedListString>null</q1:LastSelectedBrowserWebsitesRssFeedListString>\r\n  <q1:CommanderRightSelectedPathsList />\r\n  <q1:CommanderRightSelectedPathsListString>[]</q1:CommanderRightSelectedPathsListString>\r\n  <q1:PinnedApplicationsString>null</q1:PinnedApplicationsString>\r\n  <q1:PinnedBrowserWebsiteString>null</q1:PinnedBrowserWebsiteString>\r\n  <q1:PinnedAddedToFavoritesChatUsersString>null</q1:PinnedAddedToFavoritesChatUsersString>\r\n  <q1:EmailFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:MenuAppsSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:FeedNewspaperSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:EmailFilterIncomingRulesSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:CalendarFilterSelectedPersonsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:SupportFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:MyWorkspaceFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:MyPlanningFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n</q1:UserSettings>',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'[]','[]','null','null',NULL,NULL,'00000000-0000-0000-0000-000000000000',NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0,0,NULL),(5,'service',NULL,'service','service',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-09 19:25:20',0,'2023-07-09 19:25:20','0MUTCEl072ndj192i2eJWg==',3,4,'<?xml version=\"1.0\" encoding=\"utf-8\"?>\r\n<q1:UserSettings xmlns:q1=\"http://www.cpandl.com\">\r\n  <q1:Languages />\r\n  <q1:Country d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:FavoriteColor>BlueMotion</q1:FavoriteColor>\r\n  <q1:BinderCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BinderDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:EmailArchivPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:EmailCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:EmailDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:CalendarCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:CalendarDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BrowserSearchWebsite d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:UserChatLinkOne d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:UserChatLinkTwo d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BrowserHomeWebsite d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BrowserTranslateWebsite d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BrowserLastWebsite d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:UserChatEmoji d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:UserChatBackgrounColorType>White</q1:UserChatBackgrounColorType>\r\n  <q1:ProjectCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ProjectDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ApplicationCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ApplicationDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ChatCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ChatDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ApplicationEyeSaverIsOn>false</q1:ApplicationEyeSaverIsOn>\r\n  <q1:ApplicationAutostartIsOn>false</q1:ApplicationAutostartIsOn>\r\n  <q1:ApplicationEyeSaverDealInMinutes>0</q1:ApplicationEyeSaverDealInMinutes>\r\n  <q1:IsButtonEmailBCCActive>false</q1:IsButtonEmailBCCActive>\r\n  <q1:IsButtonMeetingLocationActive>false</q1:IsButtonMeetingLocationActive>\r\n  <q1:IsEmailAttachmentAreaActive>false</q1:IsEmailAttachmentAreaActive>\r\n  <q1:IsMeetingAttachmentAreaActive>false</q1:IsMeetingAttachmentAreaActive>\r\n  <q1:IsButtonEmailCCActive>false</q1:IsButtonEmailCCActive>\r\n  <q1:IsButtonMeetingGastsActive>false</q1:IsButtonMeetingGastsActive>\r\n  <q1:LastStartHourShiftInCalendar>0</q1:LastStartHourShiftInCalendar>\r\n  <q1:IsMeetingDecisionTypeFilterHistory>false</q1:IsMeetingDecisionTypeFilterHistory>\r\n  <q1:IsMeetingDecisionTypeFilterDeclined>false</q1:IsMeetingDecisionTypeFilterDeclined>\r\n  <q1:ScriptNameWithScriptValueElements />\r\n  <q1:UserLanguage>en-US</q1:UserLanguage>\r\n  <q1:CurrentUnit>Ampere</q1:CurrentUnit>\r\n  <q1:FlowUnit>Sccm</q1:FlowUnit>\r\n  <q1:PowerUnit>Watt</q1:PowerUnit>\r\n  <q1:PressureUnit>Pascal</q1:PressureUnit>\r\n  <q1:TemperatureUnit>DegreeCelsius</q1:TemperatureUnit>\r\n  <q1:TimeUnit>Seconds</q1:TimeUnit>\r\n  <q1:VoltageUnit>Volt</q1:VoltageUnit>\r\n  <q1:UserSkinType>Three</q1:UserSkinType>\r\n  <q1:ProjectLastSelectedProjectID>0</q1:ProjectLastSelectedProjectID>\r\n  <q1:BinderLastSelectedBinderID>0</q1:BinderLastSelectedBinderID>\r\n  <q1:LastSelcetedDatabasePathID>0</q1:LastSelcetedDatabasePathID>\r\n  <q1:IsHiderOrShowBinderEnabled>false</q1:IsHiderOrShowBinderEnabled>\r\n  <q1:SelectLastActiveUserEmailAccountID>0</q1:SelectLastActiveUserEmailAccountID>\r\n  <q1:WorkspaceFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:CommanderSelectedPathsList />\r\n  <q1:CommanderSelectedPathsListString>[]</q1:CommanderSelectedPathsListString>\r\n  <q1:LastSelectedBrowserWebsitesListString>null</q1:LastSelectedBrowserWebsitesListString>\r\n  <q1:LastSelectedBrowserWebsitesRssFeedListString>null</q1:LastSelectedBrowserWebsitesRssFeedListString>\r\n  <q1:CommanderRightSelectedPathsList />\r\n  <q1:CommanderRightSelectedPathsListString>[]</q1:CommanderRightSelectedPathsListString>\r\n  <q1:PinnedApplicationsString>null</q1:PinnedApplicationsString>\r\n  <q1:PinnedBrowserWebsiteString>null</q1:PinnedBrowserWebsiteString>\r\n  <q1:PinnedAddedToFavoritesChatUsersString>null</q1:PinnedAddedToFavoritesChatUsersString>\r\n  <q1:EmailFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:MenuAppsSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:FeedNewspaperSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:EmailFilterIncomingRulesSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:CalendarFilterSelectedPersonsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:SupportFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:MyWorkspaceFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:MyPlanningFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n</q1:UserSettings>',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'[]','[]','null','null',NULL,NULL,'00000000-0000-0000-0000-000000000000',NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0,0,NULL),(6,'engineer',NULL,'engineer','engineer',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-09 19:25:20',0,'2023-07-09 19:25:20','qagFiS2pVATY/O1OXDV9Tw==',3,1,'<?xml version=\"1.0\" encoding=\"utf-8\"?>\r\n<q1:UserSettings xmlns:q1=\"http://www.cpandl.com\">\r\n  <q1:Languages />\r\n  <q1:Country d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:FavoriteColor>BlueMotion</q1:FavoriteColor>\r\n  <q1:BinderCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BinderDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:EmailArchivPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:EmailCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:EmailDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:CalendarCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:CalendarDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BrowserSearchWebsite d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:UserChatLinkOne d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:UserChatLinkTwo d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BrowserHomeWebsite d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BrowserTranslateWebsite d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BrowserLastWebsite d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:UserChatEmoji d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:UserChatBackgrounColorType>White</q1:UserChatBackgrounColorType>\r\n  <q1:ProjectCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ProjectDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ApplicationCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ApplicationDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ChatCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ChatDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ApplicationEyeSaverIsOn>false</q1:ApplicationEyeSaverIsOn>\r\n  <q1:ApplicationAutostartIsOn>false</q1:ApplicationAutostartIsOn>\r\n  <q1:ApplicationEyeSaverDealInMinutes>0</q1:ApplicationEyeSaverDealInMinutes>\r\n  <q1:IsButtonEmailBCCActive>false</q1:IsButtonEmailBCCActive>\r\n  <q1:IsButtonMeetingLocationActive>false</q1:IsButtonMeetingLocationActive>\r\n  <q1:IsEmailAttachmentAreaActive>false</q1:IsEmailAttachmentAreaActive>\r\n  <q1:IsMeetingAttachmentAreaActive>false</q1:IsMeetingAttachmentAreaActive>\r\n  <q1:IsButtonEmailCCActive>false</q1:IsButtonEmailCCActive>\r\n  <q1:IsButtonMeetingGastsActive>false</q1:IsButtonMeetingGastsActive>\r\n  <q1:LastStartHourShiftInCalendar>0</q1:LastStartHourShiftInCalendar>\r\n  <q1:IsMeetingDecisionTypeFilterHistory>false</q1:IsMeetingDecisionTypeFilterHistory>\r\n  <q1:IsMeetingDecisionTypeFilterDeclined>false</q1:IsMeetingDecisionTypeFilterDeclined>\r\n  <q1:ScriptNameWithScriptValueElements />\r\n  <q1:UserLanguage>en-US</q1:UserLanguage>\r\n  <q1:CurrentUnit>Ampere</q1:CurrentUnit>\r\n  <q1:FlowUnit>Sccm</q1:FlowUnit>\r\n  <q1:PowerUnit>Watt</q1:PowerUnit>\r\n  <q1:PressureUnit>Pascal</q1:PressureUnit>\r\n  <q1:TemperatureUnit>DegreeCelsius</q1:TemperatureUnit>\r\n  <q1:TimeUnit>Seconds</q1:TimeUnit>\r\n  <q1:VoltageUnit>Volt</q1:VoltageUnit>\r\n  <q1:UserSkinType d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ProjectLastSelectedProjectID>0</q1:ProjectLastSelectedProjectID>\r\n  <q1:BinderLastSelectedBinderID>0</q1:BinderLastSelectedBinderID>\r\n  <q1:LastSelcetedDatabasePathID>0</q1:LastSelcetedDatabasePathID>\r\n  <q1:IsHiderOrShowBinderEnabled>false</q1:IsHiderOrShowBinderEnabled>\r\n  <q1:SelectLastActiveUserEmailAccountID>0</q1:SelectLastActiveUserEmailAccountID>\r\n  <q1:WorkspaceFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:CommanderSelectedPathsList />\r\n  <q1:CommanderSelectedPathsListString>[]</q1:CommanderSelectedPathsListString>\r\n  <q1:LastSelectedBrowserWebsitesListString>null</q1:LastSelectedBrowserWebsitesListString>\r\n  <q1:LastSelectedBrowserWebsitesRssFeedListString>null</q1:LastSelectedBrowserWebsitesRssFeedListString>\r\n  <q1:CommanderRightSelectedPathsList />\r\n  <q1:CommanderRightSelectedPathsListString>[]</q1:CommanderRightSelectedPathsListString>\r\n  <q1:PinnedApplicationsString>null</q1:PinnedApplicationsString>\r\n  <q1:PinnedBrowserWebsiteString>null</q1:PinnedBrowserWebsiteString>\r\n  <q1:PinnedAddedToFavoritesChatUsersString>null</q1:PinnedAddedToFavoritesChatUsersString>\r\n  <q1:EmailFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:MenuAppsSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:FeedNewspaperSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:EmailFilterIncomingRulesSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:CalendarFilterSelectedPersonsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:SupportFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:MyWorkspaceFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:MyPlanningFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n</q1:UserSettings>',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'[]','[]','null','null',NULL,NULL,'00000000-0000-0000-0000-000000000000',NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0,0,NULL),(7,'human',NULL,'human','human',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-09 19:25:20',0,'2023-07-09 19:25:20','gTHGcICPfztjdRMtzAdX4g==',3,4,'<?xml version=\"1.0\" encoding=\"utf-8\"?>\r\n<q1:UserSettings xmlns:q1=\"http://www.cpandl.com\">\r\n  <q1:Languages />\r\n  <q1:Country d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:FavoriteColor>BlueMotion</q1:FavoriteColor>\r\n  <q1:BinderCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BinderDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:EmailArchivPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:EmailCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:EmailDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:CalendarCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:CalendarDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BrowserSearchWebsite d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:UserChatLinkOne d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:UserChatLinkTwo d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BrowserHomeWebsite d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BrowserTranslateWebsite d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:BrowserLastWebsite d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:UserChatEmoji d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:UserChatBackgrounColorType>White</q1:UserChatBackgrounColorType>\r\n  <q1:ProjectCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ProjectDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ApplicationCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ApplicationDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ChatCachePath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ChatDownloadPath d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:ApplicationEyeSaverIsOn>false</q1:ApplicationEyeSaverIsOn>\r\n  <q1:ApplicationAutostartIsOn>false</q1:ApplicationAutostartIsOn>\r\n  <q1:ApplicationEyeSaverDealInMinutes>0</q1:ApplicationEyeSaverDealInMinutes>\r\n  <q1:IsButtonEmailBCCActive>false</q1:IsButtonEmailBCCActive>\r\n  <q1:IsButtonMeetingLocationActive>false</q1:IsButtonMeetingLocationActive>\r\n  <q1:IsEmailAttachmentAreaActive>false</q1:IsEmailAttachmentAreaActive>\r\n  <q1:IsMeetingAttachmentAreaActive>false</q1:IsMeetingAttachmentAreaActive>\r\n  <q1:IsButtonEmailCCActive>false</q1:IsButtonEmailCCActive>\r\n  <q1:IsButtonMeetingGastsActive>false</q1:IsButtonMeetingGastsActive>\r\n  <q1:LastStartHourShiftInCalendar>0</q1:LastStartHourShiftInCalendar>\r\n  <q1:IsMeetingDecisionTypeFilterHistory>false</q1:IsMeetingDecisionTypeFilterHistory>\r\n  <q1:IsMeetingDecisionTypeFilterDeclined>false</q1:IsMeetingDecisionTypeFilterDeclined>\r\n  <q1:ScriptNameWithScriptValueElements />\r\n  <q1:UserLanguage>en-US</q1:UserLanguage>\r\n  <q1:CurrentUnit>Ampere</q1:CurrentUnit>\r\n  <q1:FlowUnit>Sccm</q1:FlowUnit>\r\n  <q1:PowerUnit>Watt</q1:PowerUnit>\r\n  <q1:PressureUnit>Pascal</q1:PressureUnit>\r\n  <q1:TemperatureUnit>DegreeCelsius</q1:TemperatureUnit>\r\n  <q1:TimeUnit>Seconds</q1:TimeUnit>\r\n  <q1:VoltageUnit>Volt</q1:VoltageUnit>\r\n  <q1:UserSkinType>Three</q1:UserSkinType>\r\n  <q1:ProjectLastSelectedProjectID>0</q1:ProjectLastSelectedProjectID>\r\n  <q1:BinderLastSelectedBinderID>3</q1:BinderLastSelectedBinderID>\r\n  <q1:LastSelcetedDatabasePathID>0</q1:LastSelcetedDatabasePathID>\r\n  <q1:IsHiderOrShowBinderEnabled>false</q1:IsHiderOrShowBinderEnabled>\r\n  <q1:SelectLastActiveUserEmailAccountID>0</q1:SelectLastActiveUserEmailAccountID>\r\n  <q1:WorkspaceFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:CommanderSelectedPathsList />\r\n  <q1:CommanderSelectedPathsListString>[]</q1:CommanderSelectedPathsListString>\r\n  <q1:LastSelectedBrowserWebsitesListString>null</q1:LastSelectedBrowserWebsitesListString>\r\n  <q1:LastSelectedBrowserWebsitesRssFeedListString>null</q1:LastSelectedBrowserWebsitesRssFeedListString>\r\n  <q1:CommanderRightSelectedPathsList />\r\n  <q1:CommanderRightSelectedPathsListString>[]</q1:CommanderRightSelectedPathsListString>\r\n  <q1:PinnedApplicationsString>null</q1:PinnedApplicationsString>\r\n  <q1:PinnedBrowserWebsiteString>null</q1:PinnedBrowserWebsiteString>\r\n  <q1:PinnedAddedToFavoritesChatUsersString>null</q1:PinnedAddedToFavoritesChatUsersString>\r\n  <q1:EmailFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:MenuAppsSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:FeedNewspaperSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:EmailFilterIncomingRulesSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:CalendarFilterSelectedPersonsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:SupportFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:MyWorkspaceFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n  <q1:MyPlanningFiltersSettingsJSON d2p1:nil=\"true\" xmlns:d2p1=\"http://www.w3.org/2001/XMLSchema-instance\" />\r\n</q1:UserSettings>',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'[]','[]','null','null',NULL,NULL,'00000000-0000-0000-0000-000000000000',NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0,0,NULL);
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2023-07-10 10:40:13
